#!/bin/sh
#
# Linux based Darkstar launcher.
# (c) Teppefall 2007 / Jan Erik
# 

name=$*
lowercase=`echo $name | tr A-Z a-z`
java=`echo $JAVA_HOME/bin/java`

# Override default LAF management
teppefall_override="-Dteppefall.override=true"
# Remove crome (might cause problems on Linux)
teppefall_chrome="-Dteppefall.chrome=false"
teppefall_restrictions="-Djava.security.manager -Djava.security.policy=DSR.policy"
# New LAF
teppefall_swinglafDark="-Dswing.defaultlaf=org.jvnet.substance.skin.SubstanceRavenGraphiteLookAndFeel"
teppefall_swinglafBlue="-Dswing.defaultlaf=org.jvnet.substance.skin.SubstanceBusinessBlackSteelLookAndFeel"
teppefall_titanium="-Dswing.defaultlaf=com.teppefall.ds.look.TitaniumLAF"
# Ignore
teppefall_obsoleteAA="-Dswing.aatext=true "
# JAR files
teppefall_fx=teppefallfx.jar
teppefall_layout=teppefalllayout.jar
teppefall_runtime=dsr.jar


if [ ! -d $ext/ ]; then
    echo "No extensions folder - ext/"
fi

case "$lowercase" in
    layout)
        $java $teppefall_override $teppefall_restrictions $teppefall_chrome $teppefall_titanium -jar $teppefall_layout
    ;;
    fx)
        $java $teppefall_override $teppefall_restrictions $teppefall_chrome $teppefall_titanium -jar $teppefall_fx
    ;;
    dsr)
        $java $teppefall_override $teppefall_restrictions $teppefall_titanium -jar $teppefall_runtime
    ;;
    colorspace)
        $java $teppefall_override $teppefall_titanium -cp $teppefall_runtime com.teppefall.colorspace.Colorspace
    ;;
    fxserver)
        $java -Djava.security.policy=FXServer.policy -cp $teppefall_fx com.teppefall.ds.render2d.distributed.RenderServer ./$teppefall_fx
    ;;
    *)
        echo "usage: Application name"
    ;;
esac
